From 7898c303b9d48b43c855785453c29a5ddfd8e24a Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Aug 18 2026 09:52:52 +0000
Subject: [PATCH 1/3] Cleanup after Fedora 42 EOL


- drop unused flatpak and kernel-edge repositories
- always ship vendor change conf drop-in (to be dropped with f45/46)
- unconditionally use dnf5-vendorchange-config

---

diff --git a/RPM-GPG-KEY-group_asahi-flatpak b/RPM-GPG-KEY-group_asahi-flatpak
deleted file mode 100644
index 2230184..0000000
--- a/RPM-GPG-KEY-group_asahi-flatpak
+++ /dev/null
@@ -1,19 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQENBGaT7LMBCAC/EvKHdiK827GynrHRl02Q9ns5qDbmauoFPMjHzdx8JfWs6N8c
-hA7fXRRlm+ITUl9H4urgNEtla+UfEeVwXRYTACChvEHE1Auw5aW8P6tL0vuxwcdw
-8XdO/xXBi9A351M90r87XcvqYVwyrLi3ouOtZJV+6B/U4X8B4R+fdP1fQ5m4APzi
-02OOaDJ5PMNF7GhB21imflTaRxe//PW1zG31VGkRIvi95kIprVKQnHvQGa+xqCdC
-O47lHtw8/t0leGPPetbQVJZ+IlWeAb910CAn3qmuprPNwQa7UEZTFV7WjF50cXei
-d2UeRb/uRCobIdrd9rCMYlYLhPWOM66wKSSPABEBAAG0PEBhc2FoaV9mbGF0cGFr
-IChOb25lKSA8QGFzYWhpI2ZsYXRwYWtAY29wci5mZWRvcmFob3N0ZWQub3JnPokB
-WAQTAQgAQhYhBFhyj+9syWzDWBfKjCJsSdX4VIJtBQJmk+yzAxsvBAUJCWYBgAUL
-CQgHAgIiAgYVCgkICwIEFgIDAQIeBwIXgAAKCRAibEnV+FSCbaaoCACIu1derYht
-R52DDrLBQ9R24foCpOqbILwHZb0Aobc0sFShnusqZhgWM+gGeBG/W1y9r+cw1cK4
-wukRN3CMSfqDY/pTlcyss/voEJuF6TUDfQZjztlsvhDBblCmqEVrnjuv6ABVZDSF
-rVb84EL0m2mQFscVvJ/RpxKkHiLjz0zHpntgNPEVKzDdpixYT/Qej/Yj7yKpvOes
-xfferDa4dIv5WNTS2XbgFLFP+Q54PCd6kzVoH9kDUjWtlWAZntcQQcCb1SiOBd2S
-g2FqqQ9QZvSfXwAG90NNwgAmRw+xLpwRPvy6M5GZ6+cy3RHi+6DqhJmgPTNWCc6/
-BC0ZKt6vNxJs
-=kVjj
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-group_asahi-kernel-edge b/RPM-GPG-KEY-group_asahi-kernel-edge
deleted file mode 100644
index 66c1739..0000000
--- a/RPM-GPG-KEY-group_asahi-kernel-edge
+++ /dev/null
@@ -1,19 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQENBGOkSEwBCADZ/XzgG+SnOt7sSqO3VxQr4vbipihg/+CstPZggkW9ZIuG9biI
-va/phBWZVn09Zi2qKed/hfm7gIfuTOQ41JjAuyUzDhZrNKN8z8F4keySKmCxSTnu
-p5mFXtaMBPDuVYjSYzG2IuPb8wAB+wL35AcfMmAni2hfuGk3pTb/ivBeyPP9ctcc
-g7Le0jxewrnL0pmf9estsfw7W+CQ0zdxrxJmqqst0bgs2XfMGNlzfG5Y37bfiHfv
-ianYg11KfCvBNYhyle8mteWySEZ1QLEAje2FNDN99qJ3ZxMSBInOi3SOvh/ziB9+
-PrS6I6fr1oVrz9Vw5Jn0/oLS0AxhsOUeEaYtABEBAAG0REBhc2FoaV9rZXJuZWwt
-ZWRnZSAoTm9uZSkgPEBhc2FoaSNrZXJuZWwtZWRnZUBjb3ByLmZlZG9yYWhvc3Rl
-ZC5vcmc+iQFXBBMBCABBFiEE8zvR0B2bNij1ShOM9MZTMCw7YwEFAmOkSEwCGy8F
-CQlmAYAFCwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQ9MZTMCw7YwHjbwgA
-wRHjnCSa8Su+KaU/lkuf1Z5wjWeAi2kCrG7Bu2QfEVEFBSX48PQdzQC1JU5UxbAT
-JQBXeN0jKPYbblkmxLfha1A/5ncJC8vQ8lDd9lglPTp6bqD+GvhCeA0DWcJCdE8u
-SYJZD0SGCrPVwjaGqOXsVQYeHKb804AFOmGrOyvBxQb57mxBvlh0cnYEny9mruAh
-TbTL5CbYf1jNQAQrjy1Av4Y+h+7wiT5zlFaSBc0oMOuekCY6+PjDpeDf7qf0xBXL
-xW6lkRCBVo9MKaPyV6QRCXGJLxa0i6Uc2ZYQ/BJS6GaDxytmssIVjbbokwhm4M0c
-h8MRFh4OZZdULyRoG9iX6Q==
-=q5FQ
------END PGP PUBLIC KEY BLOCK-----
diff --git a/asahi-repos.spec b/asahi-repos.spec
index b6c8c2e..1fa6502 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -20,8 +20,6 @@ Source11:       RPM-GPG-KEY-group_asahi-rawhide-rebuilds
 Source14:       fedora-asahi-remix-hotfixes.repo
 Source15:       group_asahi-fedora-remix-scripts.repo
 Source16:       RPM-GPG-KEY-group_asahi-fedora-remix-scripts
-Source17:       group_asahi-flatpak.repo
-Source18:       RPM-GPG-KEY-group_asahi-flatpak
 Source19:       group_asahi-mesa-i386.repo
 Source20:       group_asahi-mesa-x86_64.repo
 Source21:       group_asahi-steam.repo
@@ -30,8 +28,8 @@ Source23:       30-asahi-sticky-vendors.conf
 Source24:       dnf5vendor-asahicopr-mesa.conf
 Source25:       dnf5vendor-asahicopr-virglrenderer.conf
 
-%global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE14 %SOURCE15 %SOURCE17
-%global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE16 %SOURCE18
+%global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE14 %SOURCE15
+%global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE16
 %dnl install mesa x86 overlay repos only on aarch64
 %if "%{_arch}" == "aarch64"
 %if 0%{?fedora} && 0%{?fedora} < 44
@@ -45,12 +43,7 @@ Requires:       fedora-repos
 Requires:       fedora-gpg-keys
 Obsoletes:      %{name}-common < 1-5
 Provides:       %{name}-common = %{version}-%{release}
-%if (0%{?fedora} && 0%{?fedora} <= 43)
-Obsoletes:      %{name}-edge <= 1-19
-%endif
-%if (0%{?fedora} && 0%{?fedora} >= 43)
 Requires:       (%{name}-dnf5-vendorchange-config = %{version}-%{release} if libdnf5 >= 5.4)
-%endif
 
 BuildArch:      noarch
 
@@ -72,10 +65,6 @@ maintained by the Fedora Asahi SIG.
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-u-boot.repo
 %config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
 %config(noreplace) %{_sysconfdir}/yum.repos.d/fedora-asahi-remix-hotfixes.repo
-%if 0%{?fedora} && 0%{?fedora} < 43
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-flatpak.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-flatpak
-%endif
 %if "%{_arch}" == "aarch64"
 %if 0%{?fedora} && 0%{?fedora} < 44
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-i386.repo
@@ -84,12 +73,9 @@ maintained by the Fedora Asahi SIG.
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-steam.repo
 %config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
 %endif
-%if 0%{?fedora} && 0%{?fedora} >= 43
 %{_datadir}/dnf5/libdnf.conf.d/30-asahi-sticky-vendors.conf
-%endif
 
 %dnl --------------------------------------------------------------------------------------
-%if 0%{?fedora} && 0%{?fedora} >= 43
 %package dnf5-vendorchange-config
 Summary:        DNF5 vendor change configuration for Fedora Asahi SIG
 Requires:       libdnf5 >= 5.3
@@ -104,7 +90,7 @@ allow automatic package transitions for obsolete SIG packages.
 %doc README.md
 %{_datadir}/dnf5/vendors.d/asahicopr-mesa.conf
 %{_datadir}/dnf5/vendors.d/asahicopr-virglrenderer.conf
-%endif
+
 %dnl --------------------------------------------------------------------------------------
 
 %package devel
@@ -146,9 +132,7 @@ cp -p %SOURCE0 %SOURCE1 .
 
 %build
 # adjust group_asahi-mesa.repo's priority so Fedora packages are prefered in F43+
-%if 0%{?fedora} && 0%{?fedora} >= 43
 sed -i -e 's/priority=5/priority=200/' %SOURCE8
-%endif
 # skip group_asahi-mesa.repo if unavailable starting with F44. The repo will be
 # dropped in the future (The copr project could be deleted after F44 goes EOL).
 %if 0%{?fedora} && 0%{?fedora} >= 44
@@ -183,7 +167,6 @@ install -Dpm0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d \
 install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
   %{key_sources}
 
-%if 0%{?fedora} && 0%{?fedora} >= 43
 # Set `allow_vendor_change=False` via dnf drop-in config for f43 and later
 install -Dpm0644 -t %{buildroot}%{_datadir}/dnf5/libdnf.conf.d \
   %SOURCE23
@@ -194,10 +177,6 @@ install -pm 0644 %{SOURCE24} \
 install -pm 0644 %{SOURCE25} \
   %{buildroot}%{_datadir}/dnf5/vendors.d/asahicopr-virglrenderer.conf
 
-rm %{buildroot}%{_sysconfdir}/yum.repos.d/group_asahi-flatpak.repo
-rm %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-flatpak
-%endif
-
 %changelog
 * Sat Apr 25 2026 Janne Grunau <j@jannau.net> - 1-29
 - Switch to package specific vendor change policy
diff --git a/group_asahi-flatpak.repo b/group_asahi-flatpak.repo
deleted file mode 100644
index 2995929..0000000
--- a/group_asahi-flatpak.repo
+++ /dev/null
@@ -1,11 +0,0 @@
-[copr:copr.fedorainfracloud.org:group_asahi:flatpak]
-name=Copr repo for flatpak owned by @asahi
-baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/flatpak/fedora-$releasever-$basearch/
-type=rpm-md
-skip_if_unavailable=False
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-flatpak
-repo_gpgcheck=0
-enabled=1
-enabled_metadata=1
-priority=5
diff --git a/group_asahi-kernel-edge.repo b/group_asahi-kernel-edge.repo
deleted file mode 100644
index 14ed94e..0000000
--- a/group_asahi-kernel-edge.repo
+++ /dev/null
@@ -1,11 +0,0 @@
-[copr:copr.fedorainfracloud.org:group_asahi:kernel-edge]
-name=Copr repo for kernel-edge owned by @asahi
-baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/kernel-edge/fedora-$releasever-$basearch/
-type=rpm-md
-skip_if_unavailable=False
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel-edge
-repo_gpgcheck=0
-enabled=1
-enabled_metadata=1
-priority=3

From a1e304bf030c96261ed09ab82f9431a458fcb794 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Aug 18 2026 10:01:28 +0000
Subject: [PATCH 2/3] Move repo files and GPG keys to /usr/share


---

diff --git a/asahi-repos.spec b/asahi-repos.spec
index 1fa6502..f72a840 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -1,6 +1,6 @@
 Name:           asahi-repos
 Version:        1
-Release:        29%{?dist}
+Release:        30%{?dist}
 Summary:        Additional repositories for Apple Silicon hardware enablement
 
 License:        MIT
@@ -54,24 +54,24 @@ maintained by the Fedora Asahi SIG.
 %files
 %license LICENSE
 %doc README.md
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-kernel.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-fedora-remix-branding.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-branding
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-fedora-remix-scripts.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-scripts
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-u-boot.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
-%config(noreplace) %{_sysconfdir}/yum.repos.d/fedora-asahi-remix-hotfixes.repo
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-kernel.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-fedora-remix-branding.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-branding
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-fedora-remix-scripts.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-scripts
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-mesa.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-u-boot.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
+%config(noreplace) %{_datadir}/dnf5/repos.d/fedora-asahi-remix-hotfixes.repo
 %if "%{_arch}" == "aarch64"
 %if 0%{?fedora} && 0%{?fedora} < 44
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-i386.repo
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-x86_64.repo
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-mesa-i386.repo
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-mesa-x86_64.repo
 %endif
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-steam.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-steam.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
 %endif
 %{_datadir}/dnf5/libdnf.conf.d/30-asahi-sticky-vendors.conf
 
@@ -104,9 +104,9 @@ maintained by the Fedora Asahi SIG (pre-release).
 %files devel
 %license LICENSE
 %doc README.md
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-kernel-devel.repo
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-fedora-remix-scripts-devel.repo
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-u-boot-devel.repo
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-kernel-devel.repo
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-fedora-remix-scripts-devel.repo
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-u-boot-devel.repo
 
 %dnl --------------------------------------------------------------------------------------
 
@@ -121,8 +121,8 @@ enablement packages maintained by the Fedora Asahi SIG.
 %files rawhide-rebuilds
 %license LICENSE
 %doc README.md
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-rawhide-rebuilds.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-rawhide-rebuilds
+%config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-rawhide-rebuilds.repo
+%config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-rawhide-rebuilds
 
 %dnl --------------------------------------------------------------------------------------
 
@@ -162,9 +162,9 @@ for source in %{repo_sources}; do
 done
 
 %install
-install -Dpm0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d \
+install -Dpm0644 -t %{buildroot}%{_datadir}/dnf5/repos.d \
   %{repo_sources} *-devel.repo
-install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
+install -Dpm0644 -t %{buildroot}%{_datadir}/pki/rpm-gpg \
   %{key_sources}
 
 # Set `allow_vendor_change=False` via dnf drop-in config for f43 and later
@@ -178,6 +178,10 @@ install -pm 0644 %{SOURCE25} \
   %{buildroot}%{_datadir}/dnf5/vendors.d/asahicopr-virglrenderer.conf
 
 %changelog
+* Tue Aug 18 2026 Janne Grunau <janne-fdr@jannau.net> - 1-30
+- Move repo files and GPG keys from "/etc/..." to "/usr/share/..."
+- Drop conditionals always true for F43+ after F42 is EOL
+
 * Sat Apr 25 2026 Janne Grunau <j@jannau.net> - 1-29
 - Switch to package specific vendor change policy
 
diff --git a/fedora-asahi-remix-hotfixes.repo b/fedora-asahi-remix-hotfixes.repo
index 0421991..a7790ba 100644
--- a/fedora-asahi-remix-hotfixes.repo
+++ b/fedora-asahi-remix-hotfixes.repo
@@ -4,7 +4,7 @@ baseurl=https://fedora-asahi-remix.org/repos/hotfixes/$releasever/
 type=rpm-md
 skip_if_unavailable=True
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-fedora-remix-branding.repo b/group_asahi-fedora-remix-branding.repo
index ad23707..00f1cc9 100644
--- a/group_asahi-fedora-remix-branding.repo
+++ b/group_asahi-fedora-remix-branding.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/fedora-remix-b
 type=rpm-md
 skip_if_unavailable=False
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-branding
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-branding
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-fedora-remix-scripts.repo b/group_asahi-fedora-remix-scripts.repo
index dace1c0..a227b7d 100644
--- a/group_asahi-fedora-remix-scripts.repo
+++ b/group_asahi-fedora-remix-scripts.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/fedora-remix-s
 type=rpm-md
 skip_if_unavailable=False
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-scripts
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-scripts
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-kernel.repo b/group_asahi-kernel.repo
index a84106e..19540ea 100644
--- a/group_asahi-kernel.repo
+++ b/group_asahi-kernel.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/kernel/fedora-
 type=rpm-md
 skip_if_unavailable=False
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-mesa-i386.repo b/group_asahi-mesa-i386.repo
index 6377296..67d41c1 100644
--- a/group_asahi-mesa-i386.repo
+++ b/group_asahi-mesa-i386.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/mesa/fedora-$r
 type=rpm-md
 skip_if_unavailable=True
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-mesa-x86_64.repo b/group_asahi-mesa-x86_64.repo
index 9e2a7ba..0be8ab7 100644
--- a/group_asahi-mesa-x86_64.repo
+++ b/group_asahi-mesa-x86_64.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/mesa/fedora-$r
 type=rpm-md
 skip_if_unavailable=True
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-mesa.repo b/group_asahi-mesa.repo
index bcbea0a..9022817 100644
--- a/group_asahi-mesa.repo
+++ b/group_asahi-mesa.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/mesa/fedora-$r
 type=rpm-md
 skip_if_unavailable=False
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-rawhide-rebuilds.repo b/group_asahi-rawhide-rebuilds.repo
index c5e74f7..cea64af 100644
--- a/group_asahi-rawhide-rebuilds.repo
+++ b/group_asahi-rawhide-rebuilds.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/rawhide-rebuil
 type=rpm-md
 skip_if_unavailable=True
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-rawhide-rebuilds
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-rawhide-rebuilds
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-steam.repo b/group_asahi-steam.repo
index 8888698..afa3a7f 100644
--- a/group_asahi-steam.repo
+++ b/group_asahi-steam.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/steam/fedora-$
 type=rpm-md
 skip_if_unavailable=True
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1
diff --git a/group_asahi-u-boot.repo b/group_asahi-u-boot.repo
index d3653a5..9743108 100644
--- a/group_asahi-u-boot.repo
+++ b/group_asahi-u-boot.repo
@@ -4,7 +4,7 @@ baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/u-boot/fedora-
 type=rpm-md
 skip_if_unavailable=False
 gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
+gpgkey=file:///usr/share/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
 repo_gpgcheck=0
 enabled=1
 enabled_metadata=1

From d5eef02b1855691e3fe50064a640cf4d4a0a3203 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Aug 18 2026 10:24:50 +0000
Subject: [PATCH 3/3] Drop mesa copr repo for F45 and later


---

diff --git a/asahi-repos.spec b/asahi-repos.spec
index f72a840..71c588e 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -28,8 +28,13 @@ Source23:       30-asahi-sticky-vendors.conf
 Source24:       dnf5vendor-asahicopr-mesa.conf
 Source25:       dnf5vendor-asahicopr-virglrenderer.conf
 
-%global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE14 %SOURCE15
-%global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE16
+%global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE10 %SOURCE14 %SOURCE15
+%global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE11 %SOURCE16
+%dnl stop installing mesa repo in F45 and later
+%if 0%{?fedora} && 0%{?fedora} < 45
+%global repo_sources %{repo_sources} %SOURCE8
+%global key_sources %{key_sources} %SOURCE9
+%endif
 %dnl install mesa x86 overlay repos only on aarch64
 %if "%{_arch}" == "aarch64"
 %if 0%{?fedora} && 0%{?fedora} < 44
@@ -60,8 +65,10 @@ maintained by the Fedora Asahi SIG.
 %config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-branding
 %config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-fedora-remix-scripts.repo
 %config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-scripts
+%if 0%{?fedora} && 0%{?fedora} < 45
 %config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-mesa.repo
 %config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+%endif
 %config(noreplace) %{_datadir}/dnf5/repos.d/group_asahi-u-boot.repo
 %config(noreplace) %{_datadir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
 %config(noreplace) %{_datadir}/dnf5/repos.d/fedora-asahi-remix-hotfixes.repo
@@ -131,6 +138,8 @@ enablement packages maintained by the Fedora Asahi SIG.
 cp -p %SOURCE0 %SOURCE1 .
 
 %build
+# the mesa copr repo is no longer installed in F45 and later
+%if 0%{?fedora} && 0%{?fedora} < 45
 # adjust group_asahi-mesa.repo's priority so Fedora packages are prefered in F43+
 sed -i -e 's/priority=5/priority=200/' %SOURCE8
 # skip group_asahi-mesa.repo if unavailable starting with F44. The repo will be
@@ -138,6 +147,7 @@ sed -i -e 's/priority=5/priority=200/' %SOURCE8
 %if 0%{?fedora} && 0%{?fedora} >= 44
 sed -i -e 's/^\(skip_if_unavailable=\).*$/\1=True/' %SOURCE8
 %endif
+%endif
 
 for source in %{repo_sources}; do
   f="$(basename $source)"
@@ -181,6 +191,7 @@ install -pm 0644 %{SOURCE25} \
 * Tue Aug 18 2026 Janne Grunau <janne-fdr@jannau.net> - 1-30
 - Move repo files and GPG keys from "/etc/..." to "/usr/share/..."
 - Drop conditionals always true for F43+ after F42 is EOL
+- Drop mesa repo for F45 and later
 
 * Sat Apr 25 2026 Janne Grunau <j@jannau.net> - 1-29
 - Switch to package specific vendor change policy

